GET https://api.cryptohopper.com/v1/strategy/{strategy_id}

Returns the name, description and image of one of the user's own strategies. The indicator config is not included.

OAuth scope: read About scopes

For own strategies market_id and hidden_configuration are always null and link has no item ID.

Example request

curl "https://api.cryptohopper.com/v1/strategy/STRATEGY_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
strategy_id string Required ID of the strategy.

Response

Example response (illustrative values)

{
    "data": {
        "type": "strategy",
        "id": "369000",
        "market_id": null,
        "name": "RSI and SAR",
        "description": "Buys on RSI oversold with a SAR trend filter",
        "image": "https://cdn.cryptohopper.com/images/strategies/user/369000_2026-09-01-10-15-00.jpg",
        "hidden_configuration": null,
        "created_date": "2026-09-01 10:15:00",
        "link": "https://www.cryptohopper.com/marketplace/item?item_id="
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.